QGIS Application - Bug report #12623
Project templates should be stored relative to config folder
2015-04-22 03:51 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20740
Description

The path to project templates is currently stored absolute in the .ini config file. So when preparing a default config to be used with the
--configpath option, the templates will be searched in the absolute (often wrong) directory, rather than in the relative one.
Better make absolute/relative optional, or follow the choice for project layers.

History

#1 - 2015-04-29 02:38 PM - Stefan Blumentrath

The same applies to a lot of settings related to Processing (e.g. paths to providers like SAGA or GRASS) and also model or script folder.
Would be nice to be able to have variables available here or if paths to providers could be read from PATH...
That would make --configpath more portable between different computer (and possibly OSes).

#2 - 2017-05-01 01:07 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#3 - 2018-03-07 05:54 PM - Paolo Cavallini

- Subject changed from Project templates should be store relative to config folder to Project templates should be stored relative to config folder
- Status changed from Open to Feedback

- Description updated

Seems OK now in QGIS 3.

#4 - 2018-03-07 10:01 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
